# GimpUi.grid_attach_aligned

    function grid_attach_aligned(grid: Gtk.Grid, left: Number(gint), top: Number(gint), label_text: String, label_xalign: Number(gfloat), label_yalign: Number(gfloat), widget: Gtk.Widget, widget_columns: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_grid_attach_aligned()
    }

Note that the label_text can be null and that the widget will be attached starting at (@column + 1) in this case, too.

grid

  The Gtk.Grid the widgets will be attached to.

left

  The column to start with.

top

  The row to attach the widgets.

label_text

  The text for the Gtk.Label which will be attached left of the widget.

label_xalign

  The horizontal alignment of the Gtk.Label.

label_yalign

  The vertical alignment of the Gtk.Label.

widget

  The Gtk.Widget to attach right of the label.

widget_columns

  The number of columns the widget will use.

Returns

  The created Gtk.Label.